/* f2c.cpp converts a temperature from Fahrenheit to Celsius,
 * using a conversion function named fahrToCelsius().
 *
 * By: Joel C. Adams, Summer 2001.
 * For: C++ An Introduction to Computing 3/e.
 *
 *  Input:  tempFahrenheit
 *  Output: tempCelsius
 *******************************************************************/

#include <iostream>      
using namespace std;

double fahrToCelsius(double tempFahr);          // function prototype

int main()
{
   cout << "This program converts a temperature\n"
           "from Fahrenheit to Celsius.\n";

   cout << "\nEnter a Fahrenheit temperature: ";
   double tempFahrenheit;
   cin >> tempFahrenheit;

   double tempCelsius = fahrToCelsius(tempFahrenheit);

   cout << tempFahrenheit << " degrees Fahrenheit is equivalent to "
        << tempCelsius << " degrees Celsius\n";



   return 0;
}  

/* fahrToCelsius converts a temperature from Fahrenheit to Celsius.
 *
 * Receive: tempFahr, a (double) Fahrenheit temperature
 * Return:  the equivalent Celsius temperature
 *******************************************************************/

double fahrToCelsius(double tempFahr)         // function definition
{
   return (tempFahr - 32.0) / 1.8;
}
